<template>
    <div>
        <b-breadcrumb :items="breadcrumbItems" class="mb-4"></b-breadcrumb>
        <b-row class="mb-5 mb-md-0">
            <b-col md="6">
                <img-gallery 
                    :product="product.name" 
                    :images="product.image_urls.full" 
                    :thumbs="product.image_urls.sm">    
                </img-gallery>

                <div v-for="(videoLink, index) in product.video_links" :key="index" class="mt-5">
                    <b-embed
                        type="iframe"
                        aspect="16by9"
                        :src="videoLink.url"
                        allowfullscreen />
                </div>
            </b-col>
            <b-col md="6" id="product-detail" class="mt-5 mt-md-0">
                <div v-html="product.description"></div>
                <div class="mt-5 text-center price">
                    <strong>{{ product.formatted_price }}</strong>
                </div>
                <div class="mt-4 text-center">
                    <buy-cta :product="product" size="lg"></buy-cta>
                </div>
            </b-col>
        </b-row>
    </div>
</template>

<style lang="scss" scoped>
    .price {
        color: black;
        font-size: 2em;
    }
    .breadcrumb {
        background-color: transparent;
        border-bottom: none;
        padding: 0;
        a {
            color: black;
            &:hover {
                color: black;
            }
        }
    }
    #product-detail {
        font-size: 0.9em;
    }
</style>

<script>
    import { BRow, BCol, BEmbed, BBreadcrumb } from 'bootstrap-vue'

    export default {   
        props: {
            product: {
                type: Object,
                required: true
            }
        },
        components: {
            'b-row': BRow,
            'b-col': BCol,
            'b-embed': BEmbed,
            'b-breadcrumb': BBreadcrumb
        },
        data() {
            return {
                breadcrumbItems: [
                    {
                        text: 'Productos',
                        href: '/productos'
                    },
                    {
                        text: this.product.name,
                        active: true
                    }
                ]
            };
        }       
    }
</script>
